Arnold Clark Caledonia North Region League Division 3 (Men's)
RAF Lossiemouth RFC – Inverness Craig Dunain RFC
5 Dis 2026
Kedudukan liga
RAF Lossiemouth RFCP 5 · W 4 · D 0 · L 1 · Pts 203 daripada 12
Inverness Craig Dunain RFCP 4 · W 3 · D 0 · L 1 · Pts 135 daripada 12
Jadual penuhPrestasi terkini
RAF Lossiemouth RFC
- Wlwn Huntly RFC118–12
- W@ Dyce RFC105–12
- Wlwn Deeside RFC26–22
- Wlwn Peterhead RFC94–0
- L@ Aberdeen Wanderers RFC19–70
Inverness Craig Dunain RFC
- Llwn Aberdeen Wanderers RFC5–53
- W@ Turriff RFC55–33
- Wlwn Dyce RFC122–12
- Wlwn Caithness RFC 2nd XV86–27
Bersemuka
Tiada pertemuan terdahulu dalam keputusan yang kami ada.
